Обход ограничений безопасности в libpam-pgsql

Дата публикации:
26.05.2008
Всего просмотров:
765
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
libpam-pgsql 0.x
Уязвимые версии: libpam-pgsql 0.6.3, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю обойти некоторые ограничения безопасности.

Уязвимость существует из-за ошибки в функции "pam_sm_authenticate()" в файле pam_pgsql.c. Удаленный пользователь может обойти процесс аутентификации путем отправки SIGINT в процессе аутентификации.

URL производителя: sourceforge.net/projects/pam-pgsql

Решение: Установите последнюю версию 0.6.4 с сайта производителя.

или введите имя

CAPTCHA